Bug 379051 - Keyboard activation of a cell renderer emits CRITICAL warning
Keyboard activation of a cell renderer emits CRITICAL warning
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 18:18 EST by ray hammond
Modified: 2008-11-26 12:36 EST (History)
2 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:36:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case for activatable cell renderer. (3.43 KB, text/x-python)
2007-11-16 13:44 EST, Thomas Woerner
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 523001 None None None Never

  None (edit)
Description ray hammond 2007-11-12 18:18:36 EST
Description of problem:
When using the keyboard to select a Service the utility reports an assertion error.

** (system-config-firewall.py:2311): CRITICAL **: pygtk_boxed_unref_shared: ass
ertion `boxed != NULL && PyObject_TypeCheck(boxed, &PyGBoxed_Type)' failed

Version-Release number of selected component (if applicable):
1.0.8

How reproducible:
Every time

Steps to Reproduce:
1. From a Terminal, which is logged in as root, start system-config-firewall.
2. Click close on the start-up form.
3. Using the tab key navigate to the 'Services and Port' list.
4. Cursor down to the row containing DNS, ensure the cursor is within the first
column and press the space-bar. A tick should appear.

Actual results:

The Terminal window displays the follow message.

** (system-config-firewall.py:2311): CRITICAL **: pygtk_boxed_unref_shared: ass
ertion `boxed != NULL && PyObject_TypeCheck(boxed, &PyGBoxed_Type)' failed


Expected results:

No assertion details should be raised.

Additional info:
Using the mouse to select the tick does not result in the error.  Additionally,
the assertion error seems to have no detrimental effect on the utility.
Comment 1 Thomas Woerner 2007-11-16 13:44:02 EST
Created attachment 261631 [details]
Test case for activatable cell renderer.

using this test case
Comment 2 Thomas Woerner 2007-11-16 13:47:41 EST
This is a pygtk2 problem. pygtk_boxed_unref_shared(py_event) is used in the
function pygtk_generic_cell_renderer_activate, where py_event is NULL for a
keyboard activation.

Assigning to pygtk2.

Please also fix this for devel and F-7.
Comment 3 Matthew Barnes 2008-03-17 12:41:00 EDT
event is NULL for a keyboard activation, py_event then points to Py_None.
Just need to check for that before calling pygtk_boxed_unref_shared(py_event).

Opened an upstream bug for this:
http://bugzilla.gnome.org/show_bug.cgi?id=523001

Thanks for the test case, Thomas!
Comment 4 Matthew Barnes 2008-03-17 12:48:56 EDT
Fixed in pygtk2-2.12.1-6.fc9.

Waiting for upstream approval before pushing this to stable distros.
Comment 5 Bug Zapper 2008-11-26 03:23:00 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jon Stanley 2008-11-26 12:36:53 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.